> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Anomalies

> API changes for the Anomalies module.

<Update label="2026-09-14">
  **6 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the required property `data/items/externalReference` to the response with the `200` status
  * added the required property `data/items/updatableFields/externalReference` to the response with the `200` status

  **`POST /rs/anomalies/v1/non-conformities`**

  * added the new optional request property `externalReference`

  **`PATCH /rs/anomalies/v1/non-conformities/{id}`**

  * added the new optional request property `externalReference`

  **`GET /rs/anomalies/v1/{id}`**

  * added the required property `externalReference` to the response with the `200` status
  * added the required property `updatableFields/externalReference` to the response with the `200` status
</Update>

<Update label="2026-09-13">
  **8 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the new optional `query` request parameter `whereInterventionPerformedAt`
  * added the new optional `query` request parameter `whereInterventionProvider`
  * added the new optional `query` request parameter `whereInterventionType`
  * added the new optional `query` request parameter `whereOverdue`
  * added the new optional `query` request parameter `whereReportedByUser`
  * added the new optional `query` request parameter `whereResolvedAt`
  * added the new optional `query` request parameter `whereUnassigned`
  * added the enum value `resolvedAt` to the property `items/field` of the `query` request parameter `orderBy`
</Update>

<Update label="2026-09-11">
  **2 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the required property `data/items/technicalInstallation/image` to the response with the `200` status

  **`GET /rs/anomalies/v1/{id}`**

  * added the required property `technicalInstallation/image` to the response with the `200` status
</Update>

<Update label="2026-09-09">
  **17 API change(s) - ⚠️ includes 2 breaking change(s)**

  **`POST /rs/anomalies/v1/tickets`**

  * removed the request property `risk`

  **`PATCH /rs/anomalies/v1/tickets/{id}`**

  * removed the request property `risk`

  **`GET /rs/anomalies/v1/`**

  * added the new optional `query` request parameter `whereArchivedAt`
  * added the enum value `archivedAt` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `assignee` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `library-anomaly` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `sightingsCount` to the property `items/field` of the `query` request parameter `orderBy`
  * added the optional property `data/items/assignee` to the response with the `200` status
  * added the optional property `data/items/libraryAnomaly` to the response with the `200` status

  **`GET /rs/anomalies/v1/{id}`**

  * added the enum value `assignee` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `library-anomaly` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `resolution` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `assignee` to the response with the `200` status
  * added the optional property `libraryAnomaly` to the response with the `200` status
  * added the optional property `resolution` to the response with the `200` status
  * added the required property `sightings/items/reportedBy` to the response with the `200` status

  **`POST /rs/anomalies/v1/{id}/merge`**

  * endpoint added
</Update>

<Update label="2026-09-08">
  **3 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the required property `data/items/updatableFields/sortOrder` to the response with the `200` status

  **`PATCH /rs/anomalies/v1/non-conformities/{id}`**

  * added the new optional request property `sortOrder`

  **`GET /rs/anomalies/v1/{id}`**

  * added the required property `updatableFields/sortOrder` to the response with the `200` status
</Update>

<Update label="2026-09-07">
  **7 API change(s) - ⚠️ includes 7 breaking change(s)**

  **`GET /rs/anomalies/v1/`**

  * for the `query` request parameter `whereAssignedToUser`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereCategoryId`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereEquipment`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereLibraryAnomaly`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereReport`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereSubCategoryId`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-09-01">
  **1 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the enum value `updatedAt` to the property `items/field` of the `query` request parameter `orderBy`
</Update>

<Update label="2026-08-28">
  **11 API change(s) - ⚠️ includes 7 breaking change(s)**

  **`POST /rs/anomalies/v1/batch-delete`**

  * added the new required request property `ids`
  * removed the request property `anomalyIds`
  * added the required property `skipped` to the response with the `200` status

  **`POST /rs/anomalies/v1/batch-resolve`**

  * added the new required request property `ids`
  * removed the request property `anomalyIds`
  * added the required property `skipped` to the response with the `200` status

  **`DELETE /rs/anomalies/v1/{id}`**

  * api removed without deprecation

  **`POST /rs/anomalies/v1/{id}/archive`**

  * api path removed without deprecation

  **`POST /rs/anomalies/v1/{id}/unarchive`**

  * api path removed without deprecation

  **`POST /rs/anomalies/v1/batch-archive`**

  * endpoint added

  **`POST /rs/anomalies/v1/batch-unarchive`**

  * endpoint added
</Update>

<Update label="2026-08-26">
  **1 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-05">
  **12 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the enum value `is-new` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/isNew` to the response with the `200` status
  * added the required property `data/items/caseId` to the response with the `200` status
  * added the required property `data/items/updatableFields/caseId` to the response with the `200` status

  **`POST /rs/anomalies/v1/non-conformities`**

  * added the new optional request property `caseId`

  **`PATCH /rs/anomalies/v1/non-conformities/{id}`**

  * added the new optional request property `caseId`

  **`POST /rs/anomalies/v1/prescriptions`**

  * added the new optional request property `caseId`

  **`PATCH /rs/anomalies/v1/prescriptions/{id}`**

  * added the new optional request property `caseId`

  **`GET /rs/anomalies/v1/{id}`**

  * added the enum value `is-new` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `isNew` to the response with the `200` status
  * added the required property `caseId` to the response with the `200` status
  * added the required property `updatableFields/caseId` to the response with the `200` status
</Update>

<Update label="2026-08-04">
  **1 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the new optional `query` request parameter `whereImResponsible`
</Update>

<Update label="2026-08-03">
  **1 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the new optional `query` request parameter `whereHistorized`
</Update>

<Update label="2026-07-31">
  **6 API change(s) — ⚠️ includes 3 breaking change(s)**

  **`GET /rs/anomalies/v1/`**

  * removed the required property `data/items/origin/intervention/companyName` from the response with the `200` status
  * removed the required property `data/items/resolution/resolvedByCompany` from the response with the `200` status
  * added the required property `data/items/origin/intervention/providerName` to the response with the `200` status
  * added the required property `data/items/resolution/resolvedByProvider` to the response with the `200` status

  **`GET /rs/anomalies/v1/{id}`**

  * removed the required property `origin/intervention/companyName` from the response with the `200` status
  * added the required property `origin/intervention/providerName` to the response with the `200` status
</Update>

<Update label="2026-07-29">
  **16 API change(s) — ⚠️ includes 2 breaking change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the new `ticket` enum value to the `data/items/type` response property for the response status `200`
  * added the new optional `query` request parameter `whereCategoryId`
  * added the new optional `query` request parameter `whereSubCategoryId`
  * added the enum value `sightings-count` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/sightingsCount` to the response with the `200` status
  * added the required property `data/items/location` to the response with the `200` status
  * added the required property `data/items/updatableFields/location` to the response with the `200` status

  **`GET /rs/anomalies/v1/{id}`**

  * added the new `ticket` enum value to the `type` response property for the response status `200`
  * added the enum value `sightings-count` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `sightingsCount` to the response with the `200` status
  * added the required property `location` to the response with the `200` status
  * added the required property `updatableFields/location` to the response with the `200` status

  **`POST /rs/anomalies/v1/observations`**

  * added the new optional request property `firstSighting/reporter`

  **`POST /rs/anomalies/v1/tickets`**

  * endpoint added

  **`PATCH /rs/anomalies/v1/tickets/{id}`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/sightings`**

  * added the new optional request property `reporter`
</Update>

<Update label="2026-07-27">
  **1 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the new optional `query` request parameter `whereAssignedToMe`
</Update>

<Update label="2026-07-24">
  **7 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * added the required property `data/items/updatableFields/observedAt` to the response with the `200` status

  **`PATCH /rs/anomalies/v1/observations/{id}`**

  * added the new optional request property `observedAt`

  **`GET /rs/anomalies/v1/{id}`**

  * added the enum value `interventions` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `origin` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `interventions` to the response with the `200` status
  * added the optional property `origin` to the response with the `200` status
  * added the required property `updatableFields/observedAt` to the response with the `200` status
</Update>

<Update label="2026-07-23 (#430)">
  **2 API change(s) — ⚠️ includes 1 breaking change(s)**

  **`GET /rs/anomalies/v1/`**

  * for the `query` request parameter `whereTechnicalInstallation`, the type/format of property `items/` was changed from `string`/`to`/\`\`
  * added the new optional `query` request parameter `whereCanBePositionedInPlan`
</Update>

<Update label="2026-07-23">
  **19 API change(s) — ⚠️ includes 2 breaking change(s)**

  **`GET /rs/anomalies/v1/`**

  * removed the required property `data/items/deletedAt` from the response with the `200` status
  * added the new optional `query` request parameter `whereDescription`
  * added the new optional `query` request parameter `whereDueAt`
  * added the new optional `query` request parameter `whereLocation`
  * added the new optional `query` request parameter `whereObservedAt`
  * added the enum value `origin` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `resolution` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `risk` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `status` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `technicalInstallationName` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `title` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `type` to the property `items/field` of the `query` request parameter `orderBy`
  * added the optional property `data/items/origin` to the response with the `200` status
  * added the optional property `data/items/resolution` to the response with the `200` status
  * added the required property `data/items/position/building` to the response with the `200` status
  * added the required property `data/items/position/planName` to the response with the `200` status
  * added the required property `data/items/position/unit` to the response with the `200` status
  * added the required property `data/items/report/name` to the response with the `200` status

  **`GET /rs/anomalies/v1/{id}`**

  * removed the required property `deletedAt` from the response with the `200` status
</Update>

<Update label="2026-07-22">
  **2 API change(s) — ⚠️ includes 1 breaking change(s)**

  **`GET /rs/anomalies/v1/`**

  * deleted the `query` request parameter `whereUnit`
  * added the new optional `query` request parameter `whereUnitIds`
</Update>

<Update label="2026-07-16">
  **17 API change(s)**

  **`GET /rs/anomalies/v1/`**

  * endpoint added

  **`POST /rs/anomalies/v1/batch-delete`**

  * endpoint added

  **`POST /rs/anomalies/v1/batch-resolve`**

  * endpoint added

  **`POST /rs/anomalies/v1/non-conformities`**

  * endpoint added

  **`PATCH /rs/anomalies/v1/non-conformities/{id}`**

  * endpoint added

  **`POST /rs/anomalies/v1/observations`**

  * endpoint added

  **`PATCH /rs/anomalies/v1/observations/{id}`**

  * endpoint added

  **`POST /rs/anomalies/v1/prescriptions`**

  * endpoint added

  **`PATCH /rs/anomalies/v1/prescriptions/{id}`**

  * endpoint added

  **`DELETE /rs/anomalies/v1/{id}`**

  * endpoint added

  **`GET /rs/anomalies/v1/{id}`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/archive`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/resolve`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/restore`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/sightings`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/unarchive`**

  * endpoint added

  **`POST /rs/anomalies/v1/{id}/unresolve`**

  * endpoint added
</Update>
